summary refs log tree commit diff
path: root/etc/guix-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/guix-install.sh')
-rwxr-xr-xetc/guix-install.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 10645ac7ac..982fb0a266 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -581,7 +581,8 @@ sys_create_shell_completion()
 
 sys_customize_bashrc()
 {
-    prompt_yes_no "Customize users Bash shell prompt for Guix?" || return
+    prompt_yes_no "Customize users Bash shell prompt for Guix?" || return 0
+
     for bashrc in /home/*/.bashrc /root/.bashrc; do
         test -f "$bashrc" || continue
         grep -Fq '$GUIX_ENVIRONMENT' "$bashrc" && continue
@@ -615,7 +616,7 @@ sys_maybe_setup_selinux()
     done
 
     prompt_yes_no "Install SELinux policy that might be required to run guix-daemon?" \
-	|| return
+	|| return 0
 
     local var_guix=/var/guix/profiles/per-user/root/current-guix
     semodule -i "${var_guix}/share/selinux/guix-daemon.cil"